Loading...
Searching...
No Matches
Demuxer Struct Reference

## Data Fields

InputFile | f
int | loop
int64_t | duration
AVRational | time_base
int | nb_streams_warn
AVThreadMessageQueue * | in_thread_queue
int | thread_queue_size
pthread_t | thread
int | non_blocking

## Detailed Description

Definition at line 72 of file fftools_ffmpeg_demux.c.

## Field Documentation

## duration

int64_t Demuxer::duration

Definition at line 79 of file fftools_ffmpeg_demux.c.

## f

InputFile Demuxer::f

Definition at line 73 of file fftools_ffmpeg_demux.c.

## in_thread_queue

AVThreadMessageQueue* Demuxer::in_thread_queue

Definition at line 86 of file fftools_ffmpeg_demux.c.

## loop

int Demuxer::loop

Definition at line 76 of file fftools_ffmpeg_demux.c.

## nb_streams_warn

int Demuxer::nb_streams_warn

Definition at line 84 of file fftools_ffmpeg_demux.c.

## non_blocking

int Demuxer::non_blocking

Definition at line 89 of file fftools_ffmpeg_demux.c.

## thread

pthread_t Demuxer::thread

Definition at line 88 of file fftools_ffmpeg_demux.c.

## thread_queue_size

int Demuxer::thread_queue_size

Definition at line 87 of file fftools_ffmpeg_demux.c.

## time_base

AVRational Demuxer::time_base

Definition at line 81 of file fftools_ffmpeg_demux.c.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg_demux.c